pyspf-milter(8)

NAME
pyspf-milter - SPF checking filter for MTAs

VERSION
3.1.0

SYNOPSIS
pyspy-milter [configfile]

DESCRIPTION
pyspf-milter implements the SPF standard for checking e-mail messages on a (mostly) per-domain basis.

pyspf-milter uses the milter interface, originally distributed as part of version 8.11 of sendmail(8), to provide SPF checking services for mail transiting a milter-aware MTA.

OPTIONS

See policyd-spf.conf (5) for information about available options. With the exception of specifying the configuration file to use, pyspf-milter does not support command line option switches.

NOTES
When using DNS timeouts be sure not to use a timeout that is larger than the timeout being used for interaction between sendmail and the filter. Otherwise, the MTA could abort a message while waiting for a reply from the filter, which in turn is still waiting for a DNS reply.

EXIT STATUS
Filter exit status codes are selected according to sysexits(3).

HISTORY
SPF is an amalgam of several earlier proposals. It was originally specified in RFC 4408. The current specification is RFC 7208. The SPF related processing was developed for use with the Postfix unique policy service in the pypolicyd-spf project. When the milter interface was added, the project was renamed SPF Engine.

COPYRIGHT
Copyright (c) 2005-2008, Sendmail, Inc. and its suppliers. All rights reserved.

Copyright (c) 2009-2013, 2015, The Trusted Domain Project. All rights reserved.

Copyright (c) 2018, 2019, 2022 Scott Kitterman <scott@kitterman.com>

SEE ALSO
policyd-spf.conf(5), sendmail(8)

Sendmail Operations Guide

RFC5321 - Simple Mail Transfer Protocol

RFC5322 - Internet Messages

RFC7208 - Sender Policy Framework (SPF) for Authorizing Use of Domains in Email, Version 1

RFC7601 - Message Header Field for Indicating Message Authentication Status